{% include "header.html" %}

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Add Search Item
        </h1>
    </section>

    <!-- Main content -->
    <section class="content container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="box box-primary">
                    
                    <!-- Display success/error message after submission completes -->
                    {% if action == "fail" or action == "success" %}
                        <div class="box-header with-border">
                            <form action="/scanItems">
                                <button type="submit" class="btn btn-primary" style="float:right;">Return to Items</button>
                            </form>
                        </div>
                        <div class="box-body"><center>
                            {% if action == "success" %} 
                                <h2>Item added successfully!</h2>
                                <br>
                            {% endif %}
                            {% if action == "fail" %}
                                <h2>Failed to add item. See errors:</h2><br>
                                {% for i in err %}
                                    {{ i }}
                                    <br>
                                {% endfor %}
                            {% endif %}
                        </center></div>
                    {% endif %}

                    {% if action == "show_add" %}                    
                    <div class="box-header with-border">
                        <form action="/scanItems">
                            <button type="submit" class="btn btn-danger" style="float:right;">Cancel</button>
                        </form>
                    </div>
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-6">
                                <form action="/addItem" method="POST" role="form">
                                    <div class="form-group">
                                    <input type="hidden" name="action" value="add">
                                        <label>Name:</label>
                                        <input type="text" class="form-control" name="name" required>
                                    </div>
                                    <div class="form-group">
                                        <label>Type:</label>
                                        <select class="form-control select2" name="type" id="type">
                                            <option value="Product">Product</option>
                                            <option value="Keyword">Keyword</option>
                                        </select>
                                    </div>
                                    <input type = "button" id="add" class="btn btn-block btn-primary" value="Add Alias">
                                    <!-- alias template -->
                                    <div class="newAliasForm" name="newAliasForm" id="alias1" style="display:none;">
                                        <input type ="button" id="remove" class="btn btn-danger remove" value="X" style="display:inline;">
                                        <input type="text" class="form-control" name="alias" placeholder="Alias" style="display:inline; width:90%;"> 
                                    </div>
                                    <!-- end alias template -->
                                    <div id="newAliasContainer"></div>
                                    <br>
                                    <center><button type="submit" class="btn btn-success">Submit</button></center>
                                </form>
                            </div> <!-- / end col 6 -->     
                            <div class="col-md-6">
                                <center>
                                    <form action="/addItem" method="POST" enctype = "multipart/form-data">
                                        <div class="form-group">
                                            <input type="hidden" name="action" value="upload_items">
                                            <h4>Import Search Items</h4>
                                            <small>
                                                For adding search items in bulk, upload a CSV. <br>
                                                Format: <i>Item Name | Item Type (Product/Keyword) | Alias1 | Alias2 | Alias3 | ...</i>
                                            </small>
                                            <br><br>
                                            <input type="file" name="items_file" id="items_file" accept=".csv">
                                            <br>
                                            <button type="submit" class="btn btn-primary">Import</button>
                                        </div>
                                    </form>
                                </center>
                            </div>
                        </div> <!-- / end row -->
                    </div> <!-- /box body -->
                    {% endif %}


                    {% if action == "uploaded_items" %}                    
                    <div class="box-header with-border">
                        <form action="/scanItems">
                            <button type="submit" class="btn btn-danger" style="float:right;">Cancel</button>
                        </form>
                    </div>
                    <div class="box-body">
                        <form action="/addItem" method="POST" role="form">
                            <div class="row">
                                <div class="col-md-12">    
                                    <center>
                                        <input type="hidden" name="action" value="add_uploaded">
                                        <h4>Confirm Items Below</h4>
                                        <br>
                                         <table class="table table-hover" id="item_table">
                                            <thead><tr>
                                                <th>Item Name</th>
                                                <th>Item Type</th>
                                                <th>Alias(es)</th>
                                            </tr></thead>
                                            <tbody>
                                            {% for row in items %}
                                                <tr>
                                                <input type="hidden" name="name{{ loop.index }}" value="{{ row['Name'] }}">
                                                <input type="hidden" name="type{{ loop.index }}" value="{{ row['Type'] }}">
                                                <td>{{ row['Name'] }}</td>
                                                <td>{{ row['Type'] }}</td>
                                                {% set count =  loop.index %}
                                                {% for a in row['Aliases'] %}
                                                    {% if a is defined %} 
                                                        <input type="hidden" name="alias{{ count }}" value="{{ a }}">
                                                        <td>{{ a }}</td>
                                                        {% endif %}
                                                {% endfor %}
                                                </tr>
                                            {% endfor %}
                                            </tbody>
                                        </table>    
                                        <br>
                                        <button type="submit" class="btn btn-primary">Add Items</button>
                                    </center>
                                </div> <!-- / end col 6 -->     
                            </div> <!-- / end row -->
                        </form> <!-- / end form -->
                    </div> <!-- /box body -->
                    {% endif %}



                    {% if action == "add_uploaded_complete" %}                    
                    <div class="box-header with-border">
                        <form action="/scanItems">
                            <button type="submit" class="btn btn-primary" style="float:right;">Return to Items</button>
                        </form>
                    </div>
                    <div class="box-body">
                        <div class="row">
                            <div class="col-md-12">    
                                <center>
                                {% if err == "fail" %} 
                                    <h4>Error adding search items. Try again later.</h4>
                                {% endif %}
                                {% if action == "add_uploaded_complete" %} 
                                    <h4>Successfully added search items!</h4>
                                {% endif %}
                                </center>
                            </div> <!-- / end col 6 -->     
                        </div> <!-- / end row -->
                    </div> <!-- /box body -->
                    {% endif %}


                </div> <!-- /box  -->
            </div> <!-- /end col 12-->
        </div> <!-- /end row -->
    </section> <!-- /end content-container fluid -->
</div>
 
<script>
$(document).ready(function(){

    var count = 0;

    $('#add').click(function(){
        $('#alias1').clone().appendTo("#newAliasContainer");
        $('.newAliasForm').last().css("display","").hide().fadeIn('slow');
        $('.newAliasForm').last().attr('id', 'alias' + $('.newAliasForm').length);
        //$('.newAliasForm:nth-last-child(1) input[name=alias]').attr('name', 'alias' + $('.newAliasForm').length);

    })

    $(document).on('click','#remove', function(){
        $(this).parent().remove();
    });

    // $(document).on("click", 'button.add', function(){
    //     aliases += 1
    //     var div = document.createElement('div');
    //     div.name = 'aliasDiv' + aliases

    //     document.body.appendChild(div);

    // });

    // $(document).on("click", 'button.remove', function(){
    //   aliases.append(clone()); 
    // });



})

</script>

{% include "footer.html" %}




